kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rha...@apache.org
Subject [kafka-site] branch asf-site updated: 2.6.0 release (#277)
Date Thu, 06 Aug 2020 13:18:26 GMT
This is an automated email from the ASF dual-hosted git repository.

rhauch pushed a commit to branch asf-site
in repository https://gitbox.apache.org/repos/asf/kafka-site.git


The following commit(s) were added to refs/heads/asf-site by this push:
     new 5ff8f37  2.6.0 release (#277)
5ff8f37 is described below

commit 5ff8f37ae85c40070ea57390ea8965f1f39f4a27
Author: Randall Hauch <rhauch@gmail.com>
AuthorDate: Thu Aug 6 08:18:16 2020 -0500

    2.6.0 release (#277)
    
    Add 2.6.0 release to website. Simplified slightly the upgrade language in the upgrade
sections.
    
    This also restores the 2.5.0 upgrade notes lost during previous release, which added these
2.5.0 upgrade notes to the kafka-site’s `25/upgrade.html` file but not the `documentation/upgrade.html`
in the kafka repo that generates the kafka-site content.
---
 26/upgrade.html                                    | 92 +++++++++++++++++++++-
 documentation.html                                 |  2 +-
 documentation/index.html                           |  2 +-
 documentation/streams/architecture.html            |  2 +-
 documentation/streams/core-concepts.html           |  2 +-
 .../streams/developer-guide/app-reset-tool.html    |  2 +-
 .../streams/developer-guide/config-streams.html    |  2 +-
 .../streams/developer-guide/datatypes.html         |  2 +-
 documentation/streams/developer-guide/dsl-api.html |  2 +-
 .../developer-guide/dsl-topology-naming.html       |  2 +-
 documentation/streams/developer-guide/index.html   |  2 +-
 .../developer-guide/interactive-queries.html       |  2 +-
 .../streams/developer-guide/manage-topics.html     |  2 +-
 .../streams/developer-guide/memory-mgmt.html       |  2 +-
 .../streams/developer-guide/processor-api.html     |  2 +-
 .../streams/developer-guide/running-app.html       |  2 +-
 .../streams/developer-guide/security.html          |  2 +-
 documentation/streams/developer-guide/testing.html |  2 +-
 .../streams/developer-guide/write-streams.html     |  2 +-
 documentation/streams/index.html                   |  2 +-
 documentation/streams/quickstart.html              |  2 +-
 documentation/streams/upgrade-guide.html           |  2 +-
 downloads.html                                     | 46 ++++++++++-
 intro.html                                         |  2 +-
 protocol.html                                      |  2 +-
 quickstart.html                                    |  4 +-
 uses.html                                          |  2 +-
 27 files changed, 159 insertions(+), 31 deletions(-)

diff --git a/26/upgrade.html b/26/upgrade.html
index 5f35974..e080790 100644
--- a/26/upgrade.html
+++ b/26/upgrade.html
@@ -19,6 +19,48 @@
 
 <script id="upgrade-template" type="text/x-handlebars-template">
 
+<h4><a id="upgrade_2_6_0" href="#upgrade_2_6_0">Upgrading to 2.6.0 from any version
0.8.x through 2.5.x</a></h4>
+
+<p><b>If you are upgrading from a version prior to 2.1.x, please see the note
below about the change to the schema used to store consumer offsets.
+    Once you have changed the inter.broker.protocol.version to the latest version, it will
not be possible to downgrade to a version prior to 2.1.</b></p>
+
+<p><b>For a rolling upgrade:</b></p>
+
+<ol>
+    <li> Update server.properties on all brokers and add the following properties.
CURRENT_KAFKA_VERSION refers to the version you
+        are upgrading from. CURRENT_MESSAGE_FORMAT_VERSION refers to the message format version
currently in use. If you have previously
+        overridden the message format version, you should keep its current value. Alternatively,
if you are upgrading from a version prior
+        to 0.11.0.x, then CURRENT_MESSAGE_FORMAT_VERSION should be set to match CURRENT_KAFKA_VERSION.
+        <ul>
+            <li>inter.broker.protocol.version=CURRENT_KAFKA_VERSION (e.g., <code>2.5</code>,
<code>2.4</code>, etc.)</li>
+            <li>log.message.format.version=CURRENT_MESSAGE_FORMAT_VERSION  (See <a
href="#upgrade_10_performance_impact">potential performance impact
+                following the upgrade</a> for the details on what this configuration
does.)</li>
+        </ul>
+        If you are upgrading from version 0.11.0.x or above, and you have not overridden
the message format, then you only need to override
+        the inter-broker protocol version.
+        <ul>
+            <li>inter.broker.protocol.version=CURRENT_KAFKA_VERSION (e.g., <code>2.5</code>,
<code>2.4</code>, etc.)</li>
+        </ul>
+    </li>
+    <li> Upgrade the brokers one at a time: shut down the broker, update the code,
and restart it. Once you have done so, the
+        brokers will be running the latest version and you can verify that the cluster's
behavior and performance meets expectations.
+        It is still possible to downgrade at this point if there are any problems.
+    </li>
+    <li> Once the cluster's behavior and performance has been verified, bump the protocol
version by editing
+        <code>inter.broker.protocol.version</code> and setting it to <code>2.6</code>.
+    </li>
+    <li> Restart the brokers one by one for the new protocol version to take effect.
Once the brokers begin using the latest
+        protocol version, it will no longer be possible to downgrade the cluster to an older
version.
+    </li>
+    <li> If you have overridden the message format version as instructed above, then
you need to do one more rolling restart to
+        upgrade it to its latest version. Once all (or most) consumers have been upgraded
to 0.11.0 or later,
+        change log.message.format.version to 2.6 on each broker and restart them one by one.
Note that the older Scala clients,
+        which are no longer maintained, do not support the message format introduced in 0.11,
so to avoid conversion costs
+        (or to take advantage of <a href="#upgrade_11_exactly_once_semantics">exactly
once semantics</a>),
+        the newer Java clients must be used.
+    </li>
+</ol>
+
 <h5 class="anchor-heading"><a id="upgrade_260_notable" class="anchor-link"></a><a
href="#upgrade_260_notable">Notable changes in 2.6.0</a></h5>
 <ul>
     <li>Kafka Streams adds a new processing mode (requires broker 2.5 or newer) that
improves application
@@ -41,6 +83,48 @@
     </li>
 </ul>
 
+<h4><a id="upgrade_2_5_0" href="#upgrade_2_5_0">Upgrading to 2.5.0 from any version
0.8.x through 2.4.x</a></h4>
+
+<p><b>If you are upgrading from a version prior to 2.1.x, please see the note
below about the change to the schema used to store consumer offsets.
+    Once you have changed the inter.broker.protocol.version to the latest version, it will
not be possible to downgrade to a version prior to 2.1.</b></p>
+
+<p><b>For a rolling upgrade:</b></p>
+
+<ol>
+    <li> Update server.properties on all brokers and add the following properties.
CURRENT_KAFKA_VERSION refers to the version you
+        are upgrading from. CURRENT_MESSAGE_FORMAT_VERSION refers to the message format version
currently in use. If you have previously
+        overridden the message format version, you should keep its current value. Alternatively,
if you are upgrading from a version prior
+        to 0.11.0.x, then CURRENT_MESSAGE_FORMAT_VERSION should be set to match CURRENT_KAFKA_VERSION.
+        <ul>
+            <li>inter.broker.protocol.version=CURRENT_KAFKA_VERSION (e.g., <code>2.4</code>,
<code>2.3</code>, etc.)</li>
+            <li>log.message.format.version=CURRENT_MESSAGE_FORMAT_VERSION  (See <a
href="#upgrade_10_performance_impact">potential performance impact
+                following the upgrade</a> for the details on what this configuration
does.)</li>
+        </ul>
+        If you are upgrading from version 0.11.0.x or above, and you have not overridden
the message format, then you only need to override
+        the inter-broker protocol version.
+        <ul>
+            <li>inter.broker.protocol.version=CURRENT_KAFKA_VERSION (e.g., <code>2.4</code>,
<code>2.3</code>, etc.)</li>
+        </ul>
+    </li>
+    <li> Upgrade the brokers one at a time: shut down the broker, update the code,
and restart it. Once you have done so, the
+        brokers will be running the latest version and you can verify that the cluster's
behavior and performance meets expectations.
+        It is still possible to downgrade at this point if there are any problems.
+    </li>
+    <li> Once the cluster's behavior and performance has been verified, bump the protocol
version by editing
+        <code>inter.broker.protocol.version</code> and setting it to <code>2.5</code>.
+    </li>
+    <li> Restart the brokers one by one for the new protocol version to take effect.
Once the brokers begin using the latest
+        protocol version, it will no longer be possible to downgrade the cluster to an older
version.
+    </li>
+    <li> If you have overridden the message format version as instructed above, then
you need to do one more rolling restart to
+        upgrade it to its latest version. Once all (or most) consumers have been upgraded
to 0.11.0 or later,
+        change log.message.format.version to 2.5 on each broker and restart them one by one.
Note that the older Scala clients,
+        which are no longer maintained, do not support the message format introduced in 0.11,
so to avoid conversion costs
+        (or to take advantage of <a href="#upgrade_11_exactly_once_semantics">exactly
once semantics</a>),
+        the newer Java clients must be used.
+    </li>
+</ol>
+
 <h5 class="anchor-heading"><a id="upgrade_250_notable" class="anchor-link"></a><a
href="#upgrade_250_notable">Notable changes in 2.5.0</a></h5>
 <ul>
     <li>When <code>RebalanceProtocol#COOPERATIVE</code> is used, <code>Consumer#poll</code>
can still return data
@@ -89,7 +173,7 @@
     </li>
 </ul>
 
-<h4><a id="upgrade_2_4_0" href="#upgrade_2_4_0">Upgrading from 0.8.x, 0.9.x,
0.10.0.x, 0.10.1.x, 0.10.2.x, 0.11.0.x, 1.0.x, 1.1.x, 2.0.x or 2.1.x or 2.2.x or 2.3.x to
2.4.0</a></h4>
+<h4><a id="upgrade_2_4_0" href="#upgrade_2_4_0">Upgrading to 2.4.0 from any version
0.8.x through 2.3.x</a></h4>
 
 <p><b>If you are upgrading from a version prior to 2.1.x, please see the note
below about the change to the schema used to store consumer offsets.
     Once you have changed the inter.broker.protocol.version to the latest version, it will
not be possible to downgrade to a version prior to 2.1.</b></p>
@@ -102,14 +186,14 @@
         overridden the message format version, you should keep its current value. Alternatively,
if you are upgrading from a version prior
         to 0.11.0.x, then CURRENT_MESSAGE_FORMAT_VERSION should be set to match CURRENT_KAFKA_VERSION.
         <ul>
-            <li>inter.broker.protocol.version=CURRENT_KAFKA_VERSION (e.g. 0.10.0, 0.11.0,
1.0, 2.0, 2.2).</li>
+            <li>inter.broker.protocol.version=CURRENT_KAFKA_VERSION (e.g., <code>2.3</code>,
<code>2.2</code>, etc.)</li>
             <li>log.message.format.version=CURRENT_MESSAGE_FORMAT_VERSION  (See <a
href="#upgrade_10_performance_impact">potential performance impact
                 following the upgrade</a> for the details on what this configuration
does.)</li>
         </ul>
         If you are upgrading from version 0.11.0.x or above, and you have not overridden
the message format, then you only need to override
         the inter-broker protocol version.
         <ul>
-            <li>inter.broker.protocol.version=CURRENT_KAFKA_VERSION (0.11.0, 1.0, 1.1,
2.0, 2.1, 2.2, 2.3).</li>
+            <li>inter.broker.protocol.version=CURRENT_KAFKA_VERSION (e.g., <code>2.3</code>,
<code>2.2</code>, etc.)</li>
         </ul>
     </li>
     <li> Upgrade the brokers one at a time: shut down the broker, update the code,
and restart it. Once you have done so, the
@@ -117,7 +201,7 @@
         It is still possible to downgrade at this point if there are any problems.
     </li>
     <li> Once the cluster's behavior and performance has been verified, bump the protocol
version by editing
-        <code>inter.broker.protocol.version</code> and setting it to 2.4.
+        <code>inter.broker.protocol.version</code> and setting it to <code>2.4</code>.
     </li>
     <li> Restart the brokers one by one for the new protocol version to take effect.
Once the brokers begin using the latest
         protocol version, it will no longer be possible to downgrade the cluster to an older
version.
diff --git a/documentation.html b/documentation.html
index a2902e9..a6036f0 100644
--- a/documentation.html
+++ b/documentation.html
@@ -1,2 +1,2 @@
 <!-- should always link the the latest release's documentation -->
-<!--#include virtual="25/documentation.html" -->
+<!--#include virtual="26/documentation.html" -->
diff --git a/documentation/index.html b/documentation/index.html
index 693711f..bd78e30 100644
--- a/documentation/index.html
+++ b/documentation/index.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../25/documentation.html" -->
+<!--#include virtual="../26/documentation.html" -->
diff --git a/documentation/streams/architecture.html b/documentation/streams/architecture.html
index e84ea9a..a90abea 100644
--- a/documentation/streams/architecture.html
+++ b/documentation/streams/architecture.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../25/streams/architecture.html" -->
+<!--#include virtual="../../26/streams/architecture.html" -->
diff --git a/documentation/streams/core-concepts.html b/documentation/streams/core-concepts.html
index a439364..5cf0072 100644
--- a/documentation/streams/core-concepts.html
+++ b/documentation/streams/core-concepts.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../25/streams/core-concepts.html" -->
+<!--#include virtual="../../26/streams/core-concepts.html" -->
diff --git a/documentation/streams/developer-guide/app-reset-tool.html b/documentation/streams/developer-guide/app-reset-tool.html
index cf5e280..596426b 100644
--- a/documentation/streams/developer-guide/app-reset-tool.html
+++ b/documentation/streams/developer-guide/app-reset-tool.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/app-reset-tool.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/app-reset-tool.html" -->
diff --git a/documentation/streams/developer-guide/config-streams.html b/documentation/streams/developer-guide/config-streams.html
index f3949e7..80e64fb 100644
--- a/documentation/streams/developer-guide/config-streams.html
+++ b/documentation/streams/developer-guide/config-streams.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/config-streams.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/config-streams.html" -->
diff --git a/documentation/streams/developer-guide/datatypes.html b/documentation/streams/developer-guide/datatypes.html
index bb8490c..16ce562 100644
--- a/documentation/streams/developer-guide/datatypes.html
+++ b/documentation/streams/developer-guide/datatypes.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/datatypes.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/datatypes.html" -->
diff --git a/documentation/streams/developer-guide/dsl-api.html b/documentation/streams/developer-guide/dsl-api.html
index 4289905..4292e61 100644
--- a/documentation/streams/developer-guide/dsl-api.html
+++ b/documentation/streams/developer-guide/dsl-api.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/dsl-api.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/dsl-api.html" -->
diff --git a/documentation/streams/developer-guide/dsl-topology-naming.html b/documentation/streams/developer-guide/dsl-topology-naming.html
index 21b2bc6..f7b3bde 100644
--- a/documentation/streams/developer-guide/dsl-topology-naming.html
+++ b/documentation/streams/developer-guide/dsl-topology-naming.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/dsl-topology-naming.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/dsl-topology-naming.html" -->
diff --git a/documentation/streams/developer-guide/index.html b/documentation/streams/developer-guide/index.html
index 3c48ab0..3345c17 100644
--- a/documentation/streams/developer-guide/index.html
+++ b/documentation/streams/developer-guide/index.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/index.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/index.html" -->
diff --git a/documentation/streams/developer-guide/interactive-queries.html b/documentation/streams/developer-guide/interactive-queries.html
index 4f997f3..0d785b3 100644
--- a/documentation/streams/developer-guide/interactive-queries.html
+++ b/documentation/streams/developer-guide/interactive-queries.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/interactive-queries.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/interactive-queries.html" -->
diff --git a/documentation/streams/developer-guide/manage-topics.html b/documentation/streams/developer-guide/manage-topics.html
index 28f690d..3545f78 100644
--- a/documentation/streams/developer-guide/manage-topics.html
+++ b/documentation/streams/developer-guide/manage-topics.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/manage-topics.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/manage-topics.html" -->
diff --git a/documentation/streams/developer-guide/memory-mgmt.html b/documentation/streams/developer-guide/memory-mgmt.html
index 6cc65b4..e5c139a 100644
--- a/documentation/streams/developer-guide/memory-mgmt.html
+++ b/documentation/streams/developer-guide/memory-mgmt.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/memory-mgmt.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/memory-mgmt.html" -->
diff --git a/documentation/streams/developer-guide/processor-api.html b/documentation/streams/developer-guide/processor-api.html
index 0bd7252..8bbb25f 100644
--- a/documentation/streams/developer-guide/processor-api.html
+++ b/documentation/streams/developer-guide/processor-api.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/processor-api.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/processor-api.html" -->
diff --git a/documentation/streams/developer-guide/running-app.html b/documentation/streams/developer-guide/running-app.html
index 8a3faf9..d3a2655 100644
--- a/documentation/streams/developer-guide/running-app.html
+++ b/documentation/streams/developer-guide/running-app.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/running-app.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/running-app.html" -->
diff --git a/documentation/streams/developer-guide/security.html b/documentation/streams/developer-guide/security.html
index cf3e43c..31d7d93 100644
--- a/documentation/streams/developer-guide/security.html
+++ b/documentation/streams/developer-guide/security.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/security.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/security.html" -->
diff --git a/documentation/streams/developer-guide/testing.html b/documentation/streams/developer-guide/testing.html
index c6cc45b..b996e55 100644
--- a/documentation/streams/developer-guide/testing.html
+++ b/documentation/streams/developer-guide/testing.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/testing.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/testing.html" -->
diff --git a/documentation/streams/developer-guide/write-streams.html b/documentation/streams/developer-guide/write-streams.html
index c497409..3f7c630 100644
--- a/documentation/streams/developer-guide/write-streams.html
+++ b/documentation/streams/developer-guide/write-streams.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../../25/streams/developer-guide/write-streams.html" -->
+<!--#include virtual="../../../26/streams/developer-guide/write-streams.html" -->
diff --git a/documentation/streams/index.html b/documentation/streams/index.html
index 534493d..082d794 100644
--- a/documentation/streams/index.html
+++ b/documentation/streams/index.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../25/streams/index.html" -->
+<!--#include virtual="../../26/streams/index.html" -->
diff --git a/documentation/streams/quickstart.html b/documentation/streams/quickstart.html
index 02d08f2..abd8a49 100644
--- a/documentation/streams/quickstart.html
+++ b/documentation/streams/quickstart.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../25/streams/quickstart.html" -->
+<!--#include virtual="../../26/streams/quickstart.html" -->
diff --git a/documentation/streams/upgrade-guide.html b/documentation/streams/upgrade-guide.html
index 88dda6e..aa1179e 100644
--- a/documentation/streams/upgrade-guide.html
+++ b/documentation/streams/upgrade-guide.html
@@ -1,2 +1,2 @@
 <!-- should always link the latest release's documentation -->
-<!--#include virtual="../../25/streams/upgrade-guide.html" -->
+<!--#include virtual="../../26/streams/upgrade-guide.html" -->
diff --git a/downloads.html b/downloads.html
index 1077e88..137a2b8 100644
--- a/downloads.html
+++ b/downloads.html
@@ -6,12 +6,56 @@
 	<div class="right">
     <h1>Download</h1>
 
-    <p>2.5.0 is the latest release. The current stable version is 2.5.0.</p>
+    <p>2.6.0 is the latest release. The current stable version is 2.6.0.</p>
 
     <p>
     You can verify your download by following these <a href="https://www.apache.org/info/verification.html">procedures</a>
and using these <a href="https://www.apache.org/dist/kafka/KEYS">KEYS</a>.
     </p>
 
+    <span id="2.6.0"></span>
+    <h3 class="download-version">2.6.0<a href="#2.6.0"><i class="fas fa-link
" style="color:#053ce2"></i></a></h3>
+    <ul>
+        <li>
+            Released Aug 3, 2020
+        </li>
+        <li>
+            <a href="https://www.apache.org/dist/kafka/2.6.0/RELEASE_NOTES.html">Release
Notes</a>
+        </li>
+        <li>
+            Source download: <a href="https://www.apache.org/dyn/closer.cgi?path=/kafka/2.6.0/kafka-2.6.0-src.tgz">kafka-2.6.0-src.tgz</a>
(<a href="https://www.apache.org/dist/kafka/2.6.0/kafka-2.6.0-src.tgz.asc">asc</a>,
<a href="https://www.apache.org/dist/kafka/2.6.0/kafka-2.6.0-src.tgz.sha512">sha512</a>)
+        </li>
+        <li>
+            Binary downloads:
+            <ul>
+                <li>Scala 2.12 &nbsp;- <a href="https://www.apache.org/dyn/closer.cgi?path=/kafka/2.6.0/kafka_2.12-2.6.0.tgz">kafka_2.12-2.6.0.tgz</a>
(<a href="https://www.apache.org/dist/kafka/2.6.0/kafka_2.12-2.6.0.tgz.asc">asc</a>,
<a href="https://www.apache.org/dist/kafka/2.6.0/kafka_2.12-2.6.0.tgz.sha512">sha512</a>)</li>
+                <li>Scala 2.13 &nbsp;- <a href="https://www.apache.org/dyn/closer.cgi?path=/kafka/2.6.0/kafka_2.13-2.6.0.tgz">kafka_2.13-2.6.0.tgz</a>
(<a href="https://www.apache.org/dist/kafka/2.6.0/kafka_2.13-2.6.0.tgz.asc">asc</a>,
<a href="https://www.apache.org/dist/kafka/2.6.0/kafka_2.13-2.6.0.tgz.sha512">sha512</a>)</li>
+            </ul>
+            We build for multiple versions of Scala. This only matters if you are using Scala
and you want a version
+            built for the same Scala version you use. Otherwise any version should work (2.13
is recommended).
+        </li>
+    </ul>
+
+    <p>
+        Kafka 2.6.0 includes a number of significant new features. Here is a summary of some
notable changes:
+    </p>
+
+    <ul>
+        <li>TLSv1.3 has been enabled by default for Java 11 or newer</li>
+        <li>Significant performance improvements, especially when the broker has large
numbers of partitions</li>
+        <li>Smooth scaling out of Kafka Streams applications</li>
+        <li>Kafka Streams support for emit on change</li>
+        <li>New metrics for better operational insight</li>
+        <li>Kafka Connect can automatically create topics for source connectors when
configured to do so</li>
+        <li>Improved error reporting options for sink connectors in Kafka Connect</li>
+        <li>New Filter and conditional SMTs in Kafka Connect</li>
+        <li>The default value for the `client.dns.lookup` configuration is now `use_all_dns_ips`</li>
+        <li>Upgrade Zookeeper to 3.5.8</li>
+    </ul>
+
+    <p>
+        For more information, please read the detailed <a href="https://www.apache.org/dist/kafka/2.6.0/RELEASE_NOTES.html">Release
Notes</a>.
+    </p>
+
     <span id="2.5.0"></span>
     <h3 class="download-version">2.5.0<a href="#2.5.0"><i class="fas fa-link
" style="color:#053ce2"></i></a></h3>
     <ul>
diff --git a/intro.html b/intro.html
index f4f655e..bbe87df 100644
--- a/intro.html
+++ b/intro.html
@@ -20,7 +20,7 @@
       
     </div>
 <!-- should always link the the latest release's documentation -->
-    <!--#include virtual="/25/introduction.html" -->
+    <!--#include virtual="/26/introduction.html" -->
 
 <!--#include virtual="includes/_footer.htm" -->
 
diff --git a/protocol.html b/protocol.html
index 0481626..2bfdb10 100644
--- a/protocol.html
+++ b/protocol.html
@@ -1,2 +1,2 @@
 <!-- should always link the the latest release's documentation -->
-<!--#include virtual="25/protocol.html" -->
+<!--#include virtual="26/protocol.html" -->
diff --git a/quickstart.html b/quickstart.html
index 1dcdbbd..d31a6f9 100644
--- a/quickstart.html
+++ b/quickstart.html
@@ -3,7 +3,6 @@
 <!--#include virtual="includes/_top.htm" -->
 <div class="content">
   <!--#include virtual="includes/_nav.htm" -->
-<!-- should always link the the latest release's documentation -->
     <div class="page-header">
       <h1 class="page-header-title">Apache Kafka Quickstart</h1>
       <p class="page-header-text">Interested in getting started with Kafka?  Follow
the instructions in this quickstart, or watch the video below.</p>
@@ -19,7 +18,8 @@
       </div>
       
     </div>
-    <!--#include virtual="25/quickstart-zookeeper.html" -->
+<!-- should always link the the latest release's documentation -->
+    <!--#include virtual="26/quickstart-zookeeper.html" -->
 <!--#include virtual="includes/_footer.htm" -->
 <script>
 // Show selected style on nav item
diff --git a/uses.html b/uses.html
index 1ecef9b..fe11320 100644
--- a/uses.html
+++ b/uses.html
@@ -7,7 +7,7 @@
 		<h1 class="content-title">Use cases</h1>
 
 <!-- should always link the the latest release's documentation -->
-<!--#include virtual="25/uses.html" -->
+<!--#include virtual="26/uses.html" -->
 
 <!--#include virtual="includes/_footer.htm" -->
 


Mime
View raw message